// PluginSettings.h: interface for the CPluginSettings class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PLUGINSETTINGS_H__B14521EE_CD44_4F23_A5B7_9F7444E6A7EA__INCLUDED_)
#define AFX_PLUGINSETTINGS_H__B14521EE_CD44_4F23_A5B7_9F7444E6A7EA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "windows.h"
#include "stdio.h"
#pragma once

class CPluginSettings  
{
public:
	bool GetValue(const char *key, long &lVar, long lDefault);
	bool SetValue(const char *key,long &lVar,long lVal);
	bool SetValue(const char *key,char *pVar,const char* cpVal);
	bool GetValue(const char *key,char* pVar,const char* cpVall);
    CPluginSettings();
    virtual ~CPluginSettings();
    bool SetRegKey(const char *name, const char * val);
    bool GetRegKey(const char *name, char * val);
    bool SetRootKey(const char* root);
    char *GetRootKey();  

    bool SetValue(const char *key,BOOL &bVar,BOOL bVal);
    bool GetValue(const char *key,BOOL &bVar,BOOL bVal);
private:
    char m_RootKey[MAX_PATH];
};

#endif // !defined(AFX_PLUGINSETTINGS_H__B14521EE_CD44_4F23_A5B7_9F7444E6A7EA__INCLUDED_)
